#ifndef __DIRED_P_H__
#define __DIRED_P_H__

extern Lisp_Object file_name_completion _P_((Lisp_Object file,
                                             Lisp_Object dirname, int all_flag,
                                             int ver_flag));
extern Lisp_Object make_time _P_((int time));
extern _VOID_ syms_of_dired _P_((void));
    
DEFUN_P(Fdirectory_files, (Lisp_Object dirname, Lisp_Object full,
                           Lisp_Object match, Lisp_Object nosort));
DEFUN_P(Ffile_name_completion, (Lisp_Object file, Lisp_Object dirname));
DEFUN_P(Ffile_name_all_completions, (Lisp_Object file, Lisp_Object dirname));
DEFUN_P(Ffile_name_all_versions, (Lisp_Object file, Lisp_Object dirname));
DEFUN_P(Ffile_version_limit, (Lisp_Object filename));
DEFUN_P(Ffile_attributes, (Lisp_Object filename));

#endif
